-- Load Libraries
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

-- Secondary Stats
local Versatility_Frame = ldb:NewDataObject("SN - Versatility", {type = "data source", label = "Versatility", text = "", icon = "Interface\\Icons\\Ability_socererking_arcanefortification"})
local Leech_Frame = ldb:NewDataObject("SN - Leech", {type = "data source", label = "Leech", text = "", icon = "Interface\\Icons\\Ability_socererking_forcenova"})
local Speed_Frame = ldb:NewDataObject("SN - Speed", {type = "data source", label = "Speed", text = "", icon = "Interface\\Icons\\Rogue_burstofspeed"})

-- Secondary Frames
local Versatility = CreateFrame("frame")
local Leech = CreateFrame("frame")
local Speed = CreateFrame("frame")

-- Data Input
Versatility:SetScript("OnUpdate", function(self, elap)
	local Versatility = GetCombatRatingBonus("29") + GetVersatilityBonus("29")
	Versatility_Frame.text = string.format("%.2f%%", Versatility)
end)

Leech:SetScript("OnUpdate", function(self, elap)
	local Leech = GetLifesteal("player")
	Leech_Frame.text = string.format("%.2f%%", Leech)
end)

Speed:SetScript("OnUpdate", function(self, elap)
	local Speed = GetUnitSpeed("player")
	Speed_Frame.text = string.format("%d%%", Speed / 7 * 100)
end)